Index: code/branches/pickup2/src/orxonox/controllers/CMakeLists.txt
===================================================================
--- code/branches/pickup2/src/orxonox/controllers/CMakeLists.txt	(revision 6405)
+++ code/branches/pickup2/src/orxonox/controllers/CMakeLists.txt	(revision 6412)
@@ -2,4 +2,5 @@
   Controller.cc
   HumanController.cc
+  NewHumanController.cc
   ArtificialController.cc
   AIController.cc
Index: code/branches/pickup2/src/orxonox/controllers/Controller.cc
===================================================================
--- code/branches/pickup2/src/orxonox/controllers/Controller.cc	(revision 6405)
+++ code/branches/pickup2/src/orxonox/controllers/Controller.cc	(revision 6412)
@@ -29,4 +29,5 @@
 #include "Controller.h"
 #include "core/CoreIncludes.h"
+#include "worldentities/ControllableEntity.h"
 
 namespace orxonox
@@ -40,4 +41,5 @@
         this->player_ = 0;
         this->controllableEntity_ = 0;
+        this->bGodMode_ = false;
     }
 
Index: code/branches/pickup2/src/orxonox/controllers/Controller.h
===================================================================
--- code/branches/pickup2/src/orxonox/controllers/Controller.h	(revision 6405)
+++ code/branches/pickup2/src/orxonox/controllers/Controller.h	(revision 6412)
@@ -37,4 +37,8 @@
     class _OrxonoxExport Controller : public BaseObject
     {
+        // set friend classes to access setControllableEntity
+        friend class PlayerInfo;
+        friend class ControllableEntity;
+
         public:
             Controller(BaseObject* creator);
@@ -46,4 +50,15 @@
                 { return this->player_; }
 
+            virtual inline void hit(Pawn* originator, btManifoldPoint& contactpoint, float damage) {};
+
+            void setGodMode( bool mode ){ this->bGodMode_ = mode; }
+            bool getGodMode(){ return this->bGodMode_; }
+
+            inline ControllableEntity* getControllableEntity() const
+                { return this->controllableEntity_; }
+            virtual void changedControllableEntity() {}
+
+        protected:
+            // don't use this directly, use getPlayer()->startControl(entity) (unless you know exactly what you do)
             inline void setControllableEntity(ControllableEntity* entity)
             {
@@ -54,11 +69,10 @@
                 }
             }
-            inline ControllableEntity* getControllableEntity() const
-                { return this->controllableEntity_; }
-            virtual void changedControllableEntity() {}
 
         protected:
             PlayerInfo* player_;
             ControllableEntity* controllableEntity_;
+        private:
+            bool bGodMode_;
     };
 }
Index: code/branches/pickup2/src/orxonox/controllers/HumanController.cc
===================================================================
--- code/branches/pickup2/src/orxonox/controllers/HumanController.cc	(revision 6405)
+++ code/branches/pickup2/src/orxonox/controllers/HumanController.cc	(revision 6412)
@@ -36,6 +36,4 @@
 #include "infos/PlayerInfo.h"
 #include "overlays/Map.h"
-#include "graphics/Camera.h"
-#include "sound/SoundManager.h"
 #include "Radar.h"
 #include "Scene.h"
@@ -56,4 +54,5 @@
     SetConsoleCommand(HumanController, mouseLook,     true);
     SetConsoleCommand(HumanController, suicide,       true);
+    SetConsoleCommand(HumanController, toggleGodMode, true);
     SetConsoleCommand(HumanController, addBots,       true).defaultValues(1);
     SetConsoleCommand(HumanController, killBots,      true).defaultValues(0);
@@ -71,4 +70,6 @@
         RegisterObject(HumanController);
 
+        controlPaused_ = false;
+
         HumanController::localController_s = this;
     }
@@ -83,12 +84,6 @@
         if (GameMode::playsSound() && HumanController::localController_s && HumanController::localController_s->controllableEntity_)
         {
-            // Update sound listener
             Camera* camera = HumanController::localController_s->controllableEntity_->getCamera();
-            if (camera)
-            {
-                SoundManager::getInstance().setListenerPosition(camera->getWorldPosition());
-                SoundManager::getInstance().setListenerOrientation(camera->getWorldOrientation());
-            }
-            else
+            if (!camera)
                 COUT(3) << "HumanController, Warning: Using a ControllableEntity without Camera" << std::endl;
         }
@@ -97,4 +92,10 @@
     void HumanController::moveFrontBack(const Vector2& value)
     {
+        if (HumanController::localController_s)
+            HumanController::localController_s->frontback(value);
+    }
+
+    void HumanController::frontback(const Vector2& value)
+    {
         if (HumanController::localController_s && HumanController::localController_s->controllableEntity_)
             HumanController::localController_s->controllableEntity_->moveFrontBack(value);
@@ -113,5 +114,5 @@
     }
 
-    void HumanController::rotateYaw(const Vector2& value)
+    void HumanController::yaw(const Vector2& value)
     {
         //Hack to enable mouselook in map
@@ -125,5 +126,5 @@
     }
 
-    void HumanController::rotatePitch(const Vector2& value)
+    void HumanController::pitch(const Vector2& value)
     {
         //Hack to enable mouselook in map
@@ -137,4 +138,16 @@
     }
 
+    void HumanController::rotateYaw(const Vector2& value)
+    {
+        if (HumanController::localController_s)
+            HumanController::localController_s->yaw(value);
+    }
+
+    void HumanController::rotatePitch(const Vector2& value)
+    {
+        if (HumanController::localController_s)
+            HumanController::localController_s->pitch(value);
+    }
+
     void HumanController::rotateRoll(const Vector2& value)
     {
@@ -144,4 +157,10 @@
 
     void HumanController::fire(unsigned int firemode)
+    {
+        if (HumanController::localController_s)
+            HumanController::localController_s->doFire(firemode);
+    }
+
+    void HumanController::doFire(unsigned int firemode)
     {
         if (HumanController::localController_s && HumanController::localController_s->controllableEntity_)
@@ -191,4 +210,9 @@
     }
 
+    void HumanController::toggleGodMode()
+    {
+        HumanController::getLocalControllerSingleton()->setGodMode( !HumanController::getLocalControllerSingleton()->getGodMode() );
+    }
+
     void HumanController::useItem()
     {
@@ -234,3 +258,15 @@
             HumanController::localController_s->controllableEntity_->getScene()->getRadar()->releaseFocus();
     }
+
+    void HumanController::pauseControl()
+    {
+        if (HumanController::localController_s)
+            HumanController::localController_s->doPauseControl();
+    }
+
+    void HumanController::resumeControl()
+    {
+        if (HumanController::localController_s)
+            HumanController::localController_s->doResumeControl();
+    }
 }
Index: code/branches/pickup2/src/orxonox/controllers/HumanController.h
===================================================================
--- code/branches/pickup2/src/orxonox/controllers/HumanController.h	(revision 6405)
+++ code/branches/pickup2/src/orxonox/controllers/HumanController.h	(revision 6412)
@@ -35,8 +35,11 @@
 #include "Controller.h"
 
+// tolua_begin
 namespace orxonox
 {
-    class _OrxonoxExport HumanController : public Controller, public Tickable
-    {
+    class _OrxonoxExport HumanController
+// tolua_end
+        : public Controller, public Tickable
+    { // tolua_export
         public:
             HumanController(BaseObject* creator);
@@ -53,5 +56,10 @@
             static void rotateRoll(const Vector2& value);
 
+            virtual void frontback(const Vector2& value);
+            virtual void yaw(const Vector2& value);
+            virtual void pitch(const Vector2& value);
+
             static void fire(unsigned int firemode);
+            virtual void doFire(unsigned int firemode);
             static void reload();
 
@@ -66,7 +74,13 @@
 
             static void suicide();
+            static void toggleGodMode();
 
             static void addBots(unsigned int amount);
             static void killBots(unsigned int amount = 0);
+
+            static void pauseControl(); // tolua_export
+            static void resumeControl(); // tolua_export
+            virtual void doPauseControl() {};
+            virtual void doResumeControl() {};
 
             static inline HumanController* getLocalControllerSingleton()
@@ -76,8 +90,9 @@
             friend class Map;
 
-        private:
+        protected:
             static HumanController* localController_s;
-    };
-}
+            bool controlPaused_;
+    }; // tolua_export
+} // tolua_export
 
 #endif /* _HumanController_H__ */
